
Redmine - Defect #7128

New gantt chart does not render subtasks under parent task

2010-12-18 15:02 - Jean-Philippe Lang

Status: Closed Start date: 2010-12-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

The display of task/subtask on the gantt was added in 0.9 (there was some issues, see #5438 for example). It should be

implemented in the new gantt.

Related issues:

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15

Associated revisions

Revision 4534 - 2010-12-18 17:06 - Jean-Philippe Lang

Ported subtasks display with indentation to the new gantt (#7128) and fixed markers alignment.

Revision 4581 - 2010-12-29 21:21 - Jean-Philippe Lang

Simple issue sort method to make sure subtasks appear under their parent on the gantt (#7128).

Revision 11724 - 2013-04-19 07:14 - Toshi MARUYAMA

add TODO comment about gantt issues sort (#7335)

Sorting by date was dropped by r4581 (#7128).

Revision 11769 - 2013-05-03 00:44 - Toshi MARUYAMA

Merged r11724 from trunk to 2.3-stable.

Add TODO comment about gantt issues sort (#7335).

Sorting by date was dropped by r4581 (#7128).

History

#1 - 2010-12-27 13:46 - Bruno Medeiros

I'm running trunk r4574 and the indentation is ok, but tasks are not under its parents.

Is it supposed to be fixed in r4534 or will it be fixed yet?

#2 - 2010-12-28 04:08 - Mischa The Evil

Bruno Medeiros wrote:

I'm running trunk r4574 and the indentation is ok, but tasks are not under its parents.

Is it supposed to be fixed in r4534 or will it be fixed yet?

 Looking at it I'd say it is fixed already (currently not even able any longer to reproduce issue #5438). Can you post a screenshot of the Gantt chart you

think is wrong?

#3 - 2010-12-29 21:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

r4581 fixes the display of tasks/subtasks on the gantt.

#4 - 2010-12-30 03:25 - Mischa The Evil
Jean-Philippe Lang wrote:

r4581 fixes the display of tasks/subtasks on the gantt.

 Along with r4534, I even think that all related issues of #5438 and that one itself are now obsoleted/fixed in trunk (besides the added TODO).

I'll ask on those issues for feedback with current trunk (almost upcoming 1.1.0).

#5 - 2011-01-07 17:12 - Bruno Medeiros

Just to give some feedback, the tasks are under their parents now, thanks for this fix!

#6 - 2011-01-20 09:37 - Siegfried Vogel

- Assignee set to Mischa The Evil

I have a case, where subtasks are NOT placed under parent task. It is related to versions.

If parent task has a version, but subtask has not, then subtask is not rendered under parent task.

I think this should be reconsidered; it would be much more intuitive, when subtasks without (explicit) version would be rendered under their parent

tasks.

#7 - 2011-01-25 11:23 - Etienne Massip

Why not affect the same version as the parent to its subtasks ?

#8 - 2012-10-23 00:55 - Toshi MARUYAMA

- Assignee deleted (Mischa The Evil)

#9 - 2015-02-12 03:20 - Bryn Jeffries

Subtasks still do not get placed under parent tasks, at least in the case where the subtasks have no target version.
